import React from 'react';
import Chart, {
Legend,
SeriesTemplate,
ISeriesTemplateProps,
Title,
Subtitle,
CommonSeriesSettings,
Export,
} from 'devextreme-react/chart';
import { dataSource } from './data.ts';
const customizeSeries: ISeriesTemplateProps['customizeSeries'] = (valueFromNameField: number) => (
valueFromNameField === 2009
? { type: 'line', label: { visible: true }, color: '#ff3f7a' }
: {}
);
function App() {
return (
<Chart
id="chart"
palette="Violet"
dataSource={dataSource}>
<SeriesTemplate
nameField="year"
customizeSeries={customizeSeries}
/>
<CommonSeriesSettings
argumentField="country"
valueField="oil"
type="bar"
/>
<Title text="Oil Production">
<Subtitle text="(in millions tonnes)" />
</Title>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
<Export enabled={true} />
</Chart>
);
}
export default App;
import React from 'react';
import Chart, {
Legend,
SeriesTemplate,
Title,
Subtitle,
CommonSeriesSettings,
Export,
} from 'devextreme-react/chart';
import { dataSource } from './data.js';
const customizeSeries = (valueFromNameField) =>
(valueFromNameField === 2009 ? { type: 'line', label: { visible: true }, color: '#ff3f7a' } : {});
function App() {
return (
<Chart
id="chart"
palette="Violet"
dataSource={dataSource}
>
<SeriesTemplate
nameField="year"
customizeSeries={customizeSeries}
/>
<CommonSeriesSettings
argumentField="country"
valueField="oil"
type="bar"
/>
<Title text="Oil Production">
<Subtitle text="(in millions tonnes)" />
</Title>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
<Export enabled={true} />
</Chart>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const dataSource = [{
year: 1970,
country: 'Saudi Arabia',
oil: 186.7,
}, {
year: 1970,
country: 'USA',
oil: 557.8,
}, {
year: 1970,
country: 'Iran',
oil: 207.3,
}, {
year: 1970,
country: 'Mexico',
oil: 24.7,
}, {
year: 1980,
country: 'Saudi Arabia',
oil: 480.4,
}, {
year: 1980,
country: 'USA',
oil: 423.2,
}, {
year: 1980,
country: 'Iran',
oil: 74.3,
}, {
year: 1980,
country: 'Mexico',
oil: 109.2,
}, {
year: 1990,
country: 'Saudi Arabia',
oil: 319.6,
}, {
year: 1990,
country: 'USA',
oil: 340.1,
}, {
year: 1990,
country: 'Iran',
oil: 183.3,
}, {
year: 1990,
country: 'Mexico',
oil: 145.3,
}, {
year: 1990,
country: 'Russia',
oil: 499.6,
}, {
year: 2000,
country: 'Saudi Arabia',
oil: 465,
}, {
year: 2000,
country: 'USA',
oil: 282.9,
}, {
year: 2000,
country: 'Iran',
oil: 195.5,
}, {
year: 2000,
country: 'Mexico',
oil: 148.3,
}, {
year: 2000,
country: 'Russia',
oil: 375.3,
}, {
year: 2008,
country: 'Saudi Arabia',
oil: 549.7,
}, {
year: 2008,
country: 'USA',
oil: 280,
}, {
year: 2008,
country: 'Iran',
oil: 214.9,
}, {
year: 2008,
country: 'Mexico',
oil: 132.1,
}, {
year: 2008,
country: 'Russia',
oil: 503.2,
},
{
year: 2009,
country: 'Saudi Arabia',
oil: 428.4,
}, {
year: 2009,
country: 'USA',
oil: 298.9,
}, {
year: 2009,
country: 'Iran',
oil: 217.2,
}, {
year: 2009,
country: 'Mexico',
oil: 121.6,
}, {
year: 2009,
country: 'Russia',
oil: 493.1,
}];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.5/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const dataSource = [
{
year: 1970,
country: 'Saudi Arabia',
oil: 186.7,
},
{
year: 1970,
country: 'USA',
oil: 557.8,
},
{
year: 1970,
country: 'Iran',
oil: 207.3,
},
{
year: 1970,
country: 'Mexico',
oil: 24.7,
},
{
year: 1980,
country: 'Saudi Arabia',
oil: 480.4,
},
{
year: 1980,
country: 'USA',
oil: 423.2,
},
{
year: 1980,
country: 'Iran',
oil: 74.3,
},
{
year: 1980,
country: 'Mexico',
oil: 109.2,
},
{
year: 1990,
country: 'Saudi Arabia',
oil: 319.6,
},
{
year: 1990,
country: 'USA',
oil: 340.1,
},
{
year: 1990,
country: 'Iran',
oil: 183.3,
},
{
year: 1990,
country: 'Mexico',
oil: 145.3,
},
{
year: 1990,
country: 'Russia',
oil: 499.6,
},
{
year: 2000,
country: 'Saudi Arabia',
oil: 465,
},
{
year: 2000,
country: 'USA',
oil: 282.9,
},
{
year: 2000,
country: 'Iran',
oil: 195.5,
},
{
year: 2000,
country: 'Mexico',
oil: 148.3,
},
{
year: 2000,
country: 'Russia',
oil: 375.3,
},
{
year: 2008,
country: 'Saudi Arabia',
oil: 549.7,
},
{
year: 2008,
country: 'USA',
oil: 280,
},
{
year: 2008,
country: 'Iran',
oil: 214.9,
},
{
year: 2008,
country: 'Mexico',
oil: 132.1,
},
{
year: 2008,
country: 'Russia',
oil: 503.2,
},
{
year: 2009,
country: 'Saudi Arabia',
oil: 428.4,
},
{
year: 2009,
country: 'USA',
oil: 298.9,
},
{
year: 2009,
country: 'Iran',
oil: 217.2,
},
{
year: 2009,
country: 'Mexico',
oil: 121.6,
},
{
year: 2009,
country: 'Russia',
oil: 493.1,
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
width: 100%;
}

DevExtreme v25.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Vue Charts - Dynamic Series

In certain scenarios, you may need to add more series to the data source after you created the Chart.

In this case, arrange your data source structure as follows:

[
    {seriesName: series1, arg: arg11Value, val: value11 }
    {seriesName: series1, arg: arg12Value, val: value12 }
    ...
    {seriesName: seriesM, arg: argM1Value, val: valueM1 }
    {seriesName: seriesM, arg: argM2Value, val: valueM2 }
    ...
]

Every object in the data source should correspond to a point in a single series.

Backend API
<template> <DxChart id="chart" :data-source="dataSource" palette="Violet" > <DxSeriesTemplate :customize-series="customizeSeries" name-field="year" /> <DxCommonSeriesSettings argument-field="country" value-field="oil" type="bar" /> <DxTitle text="Oil Production"> <DxSubtitle text="(in millions tonnes)"/> </DxTitle> <DxLegend vertical-alignment="bottom" horizontal-alignment="center" /> <DxExport :enabled="true"/> </DxChart> </template> <script setup lang="ts"> import { type ChartSeries } from 'devextreme/viz/common'; import DxChart, { DxLegend, DxSeriesTemplate, DxTitle, DxSubtitle, DxCommonSeriesSettings, DxExport, } from 'devextreme-vue/chart'; import { dataSource } from './data.ts'; const customizeSeries: (seriesName: any) => ChartSeries = (seriesName) => ((seriesName === 2009) ? { type: 'line', label: { visible: true }, color: '#ff3f7a' } : {}); </script> <style> #chart { height: 440px; width: 100%; } </style>
window.exports = window.exports || {}; window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, 'openai': { 'esModule': true, }, }, paths: { 'project:': '../../../../', 'npm:': 'https://cdn.jsdelivr.net/npm/', 'bundles:': '../../../../bundles/', 'externals:': '../../../../bundles/externals/', }, map: { 'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js', '@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js', 'demo-ts-loader': 'project:utils/demo-ts-loader.js', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'svg-loader': 'project:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign', 'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs', 'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs', 'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.24/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js', 'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', '@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.8/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme-vue/common': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/common/core/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; window.process = { env: { NODE_ENV: 'production', }, }; System.config(window.config); // eslint-disable-next-line const useTgzInCSB = ['openai'];
export const dataSource = [{ year: 1970, country: 'Saudi Arabia', oil: 186.7, }, { year: 1970, country: 'USA', oil: 557.8, }, { year: 1970, country: 'Iran', oil: 207.3, }, { year: 1970, country: 'Mexico', oil: 24.7, }, { year: 1980, country: 'Saudi Arabia', oil: 480.4, }, { year: 1980, country: 'USA', oil: 423.2, }, { year: 1980, country: 'Iran', oil: 74.3, }, { year: 1980, country: 'Mexico', oil: 109.2, }, { year: 1990, country: 'Saudi Arabia', oil: 319.6, }, { year: 1990, country: 'USA', oil: 340.1, }, { year: 1990, country: 'Iran', oil: 183.3, }, { year: 1990, country: 'Mexico', oil: 145.3, }, { year: 1990, country: 'Russia', oil: 499.6, }, { year: 2000, country: 'Saudi Arabia', oil: 465, }, { year: 2000, country: 'USA', oil: 282.9, }, { year: 2000, country: 'Iran', oil: 195.5, }, { year: 2000, country: 'Mexico', oil: 148.3, }, { year: 2000, country: 'Russia', oil: 375.3, }, { year: 2008, country: 'Saudi Arabia', oil: 549.7, }, { year: 2008, country: 'USA', oil: 280, }, { year: 2008, country: 'Iran', oil: 214.9, }, { year: 2008, country: 'Mexico', oil: 132.1, }, { year: 2008, country: 'Russia', oil: 503.2, }, { year: 2009, country: 'Saudi Arabia', oil: 428.4, }, { year: 2009, country: 'USA', oil: 298.9, }, { year: 2009, country: 'Iran', oil: 217.2, }, { year: 2009, country: 'Mexico', oil: 121.6, }, { year: 2009, country: 'Russia', oil: 493.1, }];
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.3/css/dx.light.css" /> <script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script> <script type="module"> import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script> <script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.ts"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>

This demo uses the structure displayed above to organize data:

{
    year: 1970,
    country: 'Saudi Arabia',
    oil: 192.2,
}

To define series, use the commonSeriesSettings object to specify common settings for all series: the argumentField, the valueField, and the type.

Then, use the seriesTemplate configuration object to define a template for the series. Within this object, assign the data source field that specifies the series name to the nameField property.

If you need to specify individual values for properties of a particular series, assign a callback function to the customizeSeries property of the seriesTemplate object. This demo uses the customizeSeries function to display a line instead of a bar for year: 2009.

<dx-chart id="chart" [dataSource]="productionData" palette="violet">
<dxo-chart-common-series-settings
argumentField="country"
type="bar"
valueField="oil"
>
</dxo-chart-common-series-settings>
<dxo-chart-series-template
nameField="year"
[customizeSeries]="customizeSeries"
>
</dxo-chart-series-template>
<dxo-chart-title text="Oil Production">
<dxo-chart-subtitle text="(in millions tonnes)"></dxo-chart-subtitle>
</dxo-chart-title>
<dxo-chart-legend verticalAlignment="bottom" horizontalAlignment="center">
</dxo-chart-legend>
<dxo-chart-export [enabled]="true"></dxo-chart-export>
</dx-chart>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxChartModule } from 'devextreme-angular';
import { Service, Production } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
imports: [
DxChartModule,
],
})
export class AppComponent {
productionData: Production[];
constructor(service: Service) {
this.productionData = service.getProductionData();
}
customizeSeries(valueFromNameField: number) {
return valueFromNameField === 2020
? { type: 'line', label: { visible: true }, color: '#ff3f7a' } : {};
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #chart {
height: 440px;
width: 100%;
}
import { Injectable } from '@angular/core';
export class Production {
year: number;
country: string;
oil: number;
}
const productionData: Production[] = [{
year: 1970,
country: 'Saudi Arabia',
oil: 190,
}, {
year: 1970,
country: 'USA',
oil: 530,
}, {
year: 1970,
country: 'Mexico',
oil: 25,
}, {
year: 1970,
country: 'Canada',
oil: 70,
}, {
year: 1970,
country: 'Brazil',
oil: 10,
}, {
year: 1980,
country: 'Saudi Arabia',
oil: 480,
}, {
year: 1980,
country: 'USA',
oil: 420,
}, {
year: 1980,
country: 'Mexico',
oil: 110,
}, {
year: 1980,
country: 'Canada',
oil: 80,
}, {
year: 1980,
country: 'Brazil',
oil: 20,
}, {
year: 1990,
country: 'Saudi Arabia',
oil: 330,
}, {
year: 1990,
country: 'USA',
oil: 300,
}, {
year: 1990,
country: 'Mexico',
oil: 140,
}, {
year: 1990,
country: 'Canada',
oil: 95,
}, {
year: 1990,
country: 'Brazil',
oil: 35,
}, {
year: 2000,
country: 'Saudi Arabia',
oil: 470,
}, {
year: 2000,
country: 'USA',
oil: 290,
}, {
year: 2000,
country: 'Mexico',
oil: 150,
}, {
year: 2000,
country: 'Canada',
oil: 125,
}, {
year: 2000,
country: 'Brazil',
oil: 60,
}, {
year: 2010,
country: 'Saudi Arabia',
oil: 510,
}, {
year: 2010,
country: 'USA',
oil: 350,
}, {
year: 2010,
country: 'Mexico',
oil: 140,
}, {
year: 2010,
country: 'Canada',
oil: 160,
}, {
year: 2010,
country: 'Brazil',
oil: 110,
}, {
year: 2020,
country: 'Saudi Arabia',
oil: 520,
}, {
year: 2020,
country: 'USA',
oil: 560,
}, {
year: 2020,
country: 'Mexico',
oil: 95,
}, {
year: 2020,
country: 'Canada',
oil: 240,
}, {
year: 2020,
country: 'Brazil',
oil: 160,
}];
@Injectable()
export class Service {
getProductionData(): Production[] {
return productionData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'demo-ts-shared': 'project:utils/demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.0.2"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>